Module Languages

    Public Structure language
        Dim Name As String
        Dim FontName As String
    End Structure
    Public Lang() As language

    Public Sub LoadLangList(ByVal Filename As String)
        Try
            Dim file As New IO.StreamReader(Filename)
            Dim lin As String
            Dim splitchar() As Char = {CChar(",")}
            Dim lin_split() As String
            Do
                lin = file.ReadLine()
                lin_split = lin.Split(splitchar)
                If Lang Is Nothing Then
                    ReDim Lang(0)
                    Lang(0).FontName = lin_split(1)
                    Lang(0).Name = lin_split(0)
                Else
                    ReDim Preserve Lang(Lang.Length)
                    Lang(Lang.Length - 1).FontName = lin_split(1)
                    Lang(Lang.Length - 1).Name = lin_split(0)
                End If
            Loop Until file.Peek <= -1
            file.Close()

        Catch ex As Exception
            MsgBox("Failed to load languages.", MsgBoxStyle.Critical)
        End Try
    End Sub

    Public Sub FillList(ByVal lst As ListBox)
        lst.Items.Clear()
        If Lang Is Nothing Then Exit Sub
        If Lang.Length = 0 Then Exit Sub
        For i As Integer = 0 To Lang.Length - 1
            lst.Items.Add(Lang(i).Name)
        Next
    End Sub

End Module
