Public Class ReferenceLibrary

    Public ScriptureVerses() As String

    Dim Path As String
    Public GrkBibles() As GreekBible
    Public EngBibles() As EnglishBible

    Public Sub New(ByVal splsh As frmSplash, ByVal l As Library)
        '        On Error Resume Next

        Dim GrkBible() As String '= IO.Directory.GetDirectories(Application.StartupPath & "\References")
        Dim EngBible() As String '= IO.Directory.GetFiles(Application.StartupPath & "\References")

        Dim filename As String
        For rowi As Integer = 0 To l.LibDataSet.Tables(0).Rows.Count - 1
            If CStr(l.LibDataSet.Tables(0).Rows(rowi).Item(4)).ToLower = "english" Then
                splsh.Label1.Text = "Loading " & CStr(l.LibDataSet.Tables(0).Rows(rowi).Item(0)) & "..."
                If EngBibles Is Nothing Then
                    ReDim EngBibles(0)
                Else
                    ReDim Preserve EngBibles(EngBibles.Length)
                End If
                filename = CStr(l.LibDataSet.Tables(0).Rows(rowi).Item(2))
                If filename.EndsWith("\") = False Then filename &= "\"
                filename &= CStr(l.LibDataSet.Tables(0).Rows(rowi).Item(3))
                filename = filename.Replace("#app.path", Application.StartupPath)
                EngBibles(EngBibles.Length - 1) = New EnglishBible(filename)
                EngBibles(EngBibles.Length - 1).Title = CStr(l.LibDataSet.Tables(0).Rows(rowi).Item(1))
            ElseIf CStr(l.LibDataSet.Tables(0).Rows(rowi).Item(4)).ToLower = "greek" Then
                If CStr(l.LibDataSet.Tables(0).Rows(rowi).Item(6)).ToLower = "dir" Then
                    splsh.Label1.Text = "Loading " & CStr(l.LibDataSet.Tables(0).Rows(rowi).Item(0)) & "..."
                    If GrkBibles Is Nothing Then
                        ReDim GrkBibles(0)
                    Else
                        ReDim Preserve GrkBibles(GrkBibles.Length)
                    End If
                    filename = CStr(l.LibDataSet.Tables(0).Rows(rowi).Item(2))
                    filename = filename.Replace("#app.path", Application.StartupPath)
                    GrkBibles(GrkBibles.Length - 1) = New GreekBible(filename)
                    GrkBibles(GrkBibles.Length - 1).Title = CStr(l.LibDataSet.Tables(0).Rows(rowi).Item(1))
                End If
            End If
            Application.DoEvents()
        Next

        ''splsh.ProgressBar1.Maximum = GrkBible.Length + EngBible.Length
        ''splsh.ProgressBar1.Value = 0
        'splsh.Label1.Text = "Loading Greek Reference Library..."
        'Application.DoEvents()
        'ReDim GrkBibles(GrkBible.Length - 1)
        'Dim Title As String
        'Dim i As Integer
        'For i = 0 To GrkBible.Length - 1
        '    'Title = GrkBible(i).Replace(Application.StartupPath & "\References\", "")
        '    'splsh.Label1.Text = "Loading " & Title & "..."
        '    'Application.DoEvents()
        '    'GrkBibles(i) = New GreekBible(GrkBible(i))
        '    'GrkBibles(i).Title = Title
        '    ''   splsh.ProgressBar1.Value += 1
        '    'Application.DoEvents()
        'Next

        ''Load English Bibles
        'splsh.Label1.Text = "Loading English Reference Library..."
        'Application.DoEvents()
        'ReDim EngBibles(EngBible.Length - 1)
        'For i = 0 To EngBible.Length - 1
        '    Title = EngBible(i).Replace(Application.StartupPath & "\References\", "")
        '    Title = Title.Replace(".txt", "")
        '    splsh.Label1.Text = "Loading " & Title & "..."
        '    Application.DoEvents()
        '    EngBibles(i) = New EnglishBible(EngBible(i))
        '    EngBibles(i).Title = Title
        '    '  splsh.ProgressBar1.Value += 1
        '    Application.DoEvents()
        'Next

        splsh.Label1.Text = "Loading Final Data..."

        Dim sr As New IO.StreamReader(Application.StartupPath & "\Data\ReferenceList.txt")
        Dim textread As String = sr.ReadToEnd
        sr.Close()
        sr = Nothing
        Dim splitchar() As Char = {CChar(";")}
        ScriptureVerses = textread.Split(splitchar)

    End Sub
End Class
